com.google.appengine.api.images.dev

## Class LocalImagesService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.images.dev.LocalImagesService

-     public final class LocalImagesService
      extends AbstractLocalRpcService

  Java stub implementation of the images api backend using Image 2D. Depends on ImageIO being able to load and save in the correct image formats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalImagesService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImagesCompositeResponse` | `composite(Status status, ImagesCompositeRequest request)`
    `ImagesDeleteUrlBaseResponse` | `deleteUrlBase(Status status, ImagesDeleteUrlBaseRequest request)`
    `java.lang.Integer` | `getMaxApiRequestSize()`
    `java.lang.String` | `getPackage()`
    `ImagesGetUrlBaseResponse` | `getUrlBase(Status status, ImagesGetUrlBaseRequest request)` Gets a Local image URL.
    `ImagesHistogramResponse` | `histogram(Status status, ImagesHistogramRequest request)` Calculate the histogram of the supplied image.
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `start()`
    `void` | `stop()`
    `ImagesTransformResponse` | `transform(Status status, ImagesTransformRequest request)` Apply the transform request to the contained image.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalImagesService

          public LocalImagesService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                           java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### transform

          public ImagesTransformResponse transform(Status status,
                                                   ImagesTransformRequest request)

      Apply the transform request to the contained image.
      Parameters:
        `status` - RPC status
        `request` - request to be processed
      Returns:
        a transform response containing the processed image

    - #### composite

          public ImagesCompositeResponse composite(Status status,
                                                   ImagesCompositeRequest request)

      Parameters:
        `status` - RPC status
        `request` - request to be processed
      Returns:
        a transform response containing the processed image

    - #### histogram

          public ImagesHistogramResponse histogram(Status status,
                                                   ImagesHistogramRequest request)

      Calculate the histogram of the supplied image.
      Parameters:
        `status` - RPC status
        `request` - request to be processed
      Returns:
        a histogram response containing the histogram of the image

    - #### getUrlBase

          public ImagesGetUrlBaseResponse getUrlBase(Status status,
                                                     ImagesGetUrlBaseRequest request)

      Gets a Local image URL.
      Parameters:
        `status` - RPC status
        `request` - request containing the blobkey to be served
      Returns:
        a response containing the Local image Url

    - #### deleteUrlBase

          public ImagesDeleteUrlBaseResponse deleteUrlBase(Status status,
                                                           ImagesDeleteUrlBaseRequest request)

    - #### getMaxApiRequestSize

          public java.lang.Integer getMaxApiRequestSize()